Subject: Re: bug#64696: 30.0.50; indent-to inherits preceding text properties, including 'invisible

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Jul 2023 19:20:56 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Tue, 18 Jul 2023 10:15:48 -0400
> 
> FWIW, I can't see any good reason to inherit properties here, other than
> "we've always done that", but I'd be surprised if making this change
> won't affect some other use elsewhere :-(

??? That's a non-starter, from where I stand.  If you really think it
can be useful for the inserted whitespace to lose _all_ of the
properties, I can suggest a new optional argument to do that.  Would
that be good enough?